summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbuild-initramfs.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/build-initramfs.sh b/build-initramfs.sh
index 5b5e9597..8bc8f2fa 100755
--- a/build-initramfs.sh
+++ b/build-initramfs.sh
@@ -123,9 +123,9 @@ bootstrap() {
"${_ref[commit]}"
# apply patches if any are required
- shopt -s nullglob
pushd "${_ref[path]}" || exit 1
for patch in "${_repo_dir}/patches/${_ref[path]##*/}/"*.patch; do
+ [ -s "$patch" ] || continue
if ! patch -p1 < "$patch"; then
echo "Applying '$patch' failed, expecting errors. Continuing..."
fi